package com.realnet.clock.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.clock.Entity.Clock;
import com.realnet.clock.Services.ClockService ;




@RequestMapping(value = "/token/Clock")
 @CrossOrigin("*") 
@RestController
public class tokenFree_ClockController {
	@Autowired
	private ClockService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Clock")
		  public Clock Savedata(@RequestBody Clock data) {
		Clock save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Clock/{id}")
	public  Clock update(@RequestBody Clock data,@PathVariable Integer id ) {
		Clock update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Clock/getall/page")
	public Page<Clock> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Clock> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Clock")
	public List<Clock> getdetails() {
		 List<Clock> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Clock")
	public List<Clock> getallwioutsec() {
		 List<Clock> get = Service.getdetails();		
		return get;
}
@GetMapping("/Clock/{id}")
	public  Clock  getdetailsbyId(@PathVariable Integer id ) {
		Clock  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Clock/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}